# Uses of Enum Class
org.bukkit.event.player.PlayerBedEnterEvent.BedEnterResult

Packages that use PlayerBedEnterEvent.BedEnterResult
Package
Description
org.bukkit.event.player
`Events` relating to `players`.

## Uses of PlayerBedEnterEvent.BedEnterResult in org.bukkit.event.player

Methods in org.bukkit.event.player that return PlayerBedEnterEvent.BedEnterResult
Modifier and Type
Method
Description
`@NotNull PlayerBedEnterEvent.BedEnterResult`
PlayerBedEnterEvent.`getBedEnterResult()`
This describes the default outcome of this event.
`static PlayerBedEnterEvent.BedEnterResult`
PlayerBedEnterEvent.BedEnterResult.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerBedEnterEvent.BedEnterResult[]`
PlayerBedEnterEvent.BedEnterResult.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.player with parameters of type PlayerBedEnterEvent.BedEnterResult
Modifier
Constructor
Description
``
`PlayerBedEnterEvent(@NotNull Player who, @NotNull Block bed, @NotNull PlayerBedEnterEvent.BedEnterResult bedEnterResult)`